Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicPasswordFieldUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TextUI
                  |
                  +--javax.swing.plaf.basic.BasicTextUI
                        |
                        +--javax.swing.plaf.basic.BasicTextFieldUI
                              |
                              +--javax.swing.plaf.basic.BasicPasswordFieldUI

public class BasicPasswordFieldUI
extends BasicTextFieldUI

Provides the Windows look and feel for a password field. The only difference from the standard text field is that the view of the text is simply a string of the echo character as specified in JPasswordField, rather than the real text contained in the field.

Inner classes inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`BasicPasswordFieldUI()`

Method Summary
`View` | `create(Element elem)` Creates a view (PasswordView) for an element.
`static ComponentUI` | `createUI(JComponent c)` Creates a UI for a JPasswordField.
`protected java.lang.String` | `getPropertyPrefix()` Fetches the name used as a key to look up properties through the UIManager.

Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI
`createCaret`

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicPasswordFieldUI

    public BasicPasswordFieldUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Creates a UI for a JPasswordField.
  Parameters:
    `c` - the JPasswordField
  Returns:
    the UI

### getPropertyPrefix

    protected java.lang.String getPropertyPrefix()

  Fetches the name used as a key to look up properties through the UIManager. This is used as a prefix to all the standard text properties.
  Returns:
    the name ("PasswordField")
  Overrides:
    getPropertyPrefix in class BasicTextFieldUI

### create

    public View create(Element elem)

  Creates a view (PasswordView) for an element.
  Parameters:
    `elem` - the element
  Returns:
    the view
  Overrides:
    create in class BasicTextFieldUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.